JCAStatsImpl (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.management.JCAStatsImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.management
Class JCAStatsImpl

    java.lang.Object
      org.codehaus.activemq.management.StatsImpl
          org.codehaus.activemq.management.JCAStatsImpl

All Implemented Interfaces:
  JCAStats, Resettable, Stats

public class JCAStatsImpl
extends StatsImpl
implements JCAStats

Statistics for a number of JCA connections and connection pools

Version:
  $Revision: 1.1 $

Constructor Summary
`JCAStatsImpl(JCAConnectionStats[] connectionStats, JCAConnectionPoolStats[] connectionPoolStats)`

Method Summary
`JCAConnectionPoolStats[]` | `getConnectionPools()`
`JCAConnectionStats[]` | `getConnections()`

Methods inherited from class org.codehaus.activemq.management.StatsImpl
`addStatistic, getStatistic, getStatisticNames, getStatistics, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Constructor Detail

### JCAStatsImpl

    public JCAStatsImpl(JCAConnectionStats[] connectionStats,
                        JCAConnectionPoolStats[] connectionPoolStats)

Method Detail

### getConnections

    public JCAConnectionStats[] getConnections()

  Specified by:
    `getConnections` in interface `JCAStats`

### getConnectionPools

    public JCAConnectionPoolStats[] getConnectionPools()

  Specified by:
    `getConnectionPools` in interface `JCAStats`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.